using Microsoft.UI.Xaml.Controls;

namespace TestProject
{
    /// <summary>
    ///  
    /// </summary>
    public sealed partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - MainPage()

        /// <summary>
        /// 
        /// </summary>
        public MainPage()
        {
            InitializeComponent();

            this.severityComboBox.SelectionChanged += severityComboBox_SelectionChanged;

            this.severityComboBox.SelectedValue = "Informational";
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Severity ޺ ڽ   óϱ - severityComboBox_SelectionChanged(sender, e)

        /// <summary>
        /// Severity ޺ ڽ   óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void severityComboBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            string severityName = e.AddedItems[0].ToString();

            switch(severityName)
            {
                case "Error"         : this.infoBar.Severity = InfoBarSeverity.Error;         break;
                case "Warning"       : this.infoBar.Severity = InfoBarSeverity.Warning;       break;
                case "Success"       : this.infoBar.Severity = InfoBarSeverity.Success;       break;
                case "Informational" :
                default              : this.infoBar.Severity = InfoBarSeverity.Informational; break;
            }
        }

        #endregion
    }
}